import identity_1 from './identity.js';
import _metaMap from './_metaMap.js';
var identity = identity_1,
    metaMap = _metaMap;
/**
 * The base implementation of `setData` without support for hot loop shorting.
 *
 * @private
 * @param {Function} func The function to associate metadata with.
 * @param {*} data The metadata.
 * @returns {Function} Returns `func`.
 */

var baseSetData = !metaMap ? identity : function (func, data) {
  metaMap.set(func, data);
  return func;
};
var _baseSetData = baseSetData;
export { _baseSetData as default };
//# sourceMappingURL=_baseSetData.js.map
