import flatten_1 from './flatten.js';
import _overRest from './_overRest.js';
import _setToString from './_setToString.js';
var flatten = flatten_1,
    overRest = _overRest,
    setToString = _setToString;
/**
 * A specialized version of `baseRest` which flattens the rest array.
 *
 * @private
 * @param {Function} func The function to apply a rest parameter to.
 * @returns {Function} Returns the new function.
 */

function flatRest(func) {
  return setToString(overRest(func, undefined, flatten), func + '');
}

var _flatRest = flatRest;
export { _flatRest as default };
//# sourceMappingURL=_flatRest.js.map
