import _baseCreate from './_baseCreate.js';
import _getPrototype from './_getPrototype.js';
import _isPrototype from './_isPrototype.js';
var baseCreate = _baseCreate,
    getPrototype = _getPrototype,
    isPrototype = _isPrototype;
/**
 * Initializes an object clone.
 *
 * @private
 * @param {Object} object The object to clone.
 * @returns {Object} Returns the initialized clone.
 */

function initCloneObject(object) {
  return typeof object.constructor == 'function' && !isPrototype(object) ? baseCreate(getPrototype(object)) : {};
}

var _initCloneObject = initCloneObject;
export { _initCloneObject as default };
//# sourceMappingURL=_initCloneObject.js.map
