import isObject_1 from './isObject.js';
var isObject = isObject_1;
/**
 * Checks if `value` is suitable for strict equality comparisons, i.e. `===`.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` if suitable for strict
 *  equality comparisons, else `false`.
 */

function isStrictComparable(value) {
  return value === value && !isObject(value);
}

var _isStrictComparable = isStrictComparable;
export { _isStrictComparable as default };
//# sourceMappingURL=_isStrictComparable.js.map
