import _baseIsSet from './_baseIsSet.js';
import _baseUnary from './_baseUnary.js';
import './_nodeUtil.js';
import { _ as _nodeUtil } from '../../_virtual/_nodeUtil.js_commonjs-module';
var baseIsSet = _baseIsSet,
    baseUnary = _baseUnary,
    nodeUtil = _nodeUtil.exports;
/* Node.js helper references. */

var nodeIsSet = nodeUtil && nodeUtil.isSet;
/**
 * Checks if `value` is classified as a `Set` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 * @example
 *
 * _.isSet(new Set);
 * // => true
 *
 * _.isSet(new WeakSet);
 * // => false
 */

var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;
var isSet_1 = isSet;
export { isSet_1 as default };
//# sourceMappingURL=isSet.js.map
