import _getTag from './_getTag.js';
import isObjectLike_1 from './isObjectLike.js';
var getTag = _getTag,
    isObjectLike = isObjectLike_1;
/** `Object#toString` result references. */

var weakMapTag = '[object WeakMap]';
/**
 * Checks if `value` is classified as a `WeakMap` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a weak map, else `false`.
 * @example
 *
 * _.isWeakMap(new WeakMap);
 * // => true
 *
 * _.isWeakMap(new Map);
 * // => false
 */

function isWeakMap(value) {
  return isObjectLike(value) && getTag(value) == weakMapTag;
}

var isWeakMap_1 = isWeakMap;
export { isWeakMap_1 as default };
//# sourceMappingURL=isWeakMap.js.map
