import { __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import Collapsible from '../collapsible/CollapsibleRaw.js';
import AccordionSectionTitle from './AccordionSectionTitle.js';
import styles from './AccordionSectionItem.module.scss.js';

var AccordionSectionItem = function (_a) {
  var _b, _c;

  var dragRef = _a.dragRef,
      section = _a.section,
      selectable = _a.selectable,
      onSelectedSectionsChange = _a.onSelectedSectionsChange,
      selectedSections = _a.selectedSections,
      initiallyExpanded = _a.initiallyExpanded,
      onExpansionChange = _a.onExpansionChange;
  return /*#__PURE__*/React.createElement(Collapsible, __assign({
    animate: false
  }, section.actions ? {
    action: /*#__PURE__*/React.createElement("fieldset", {
      disabled: section.disabled,
      className: classnames((_b = {}, _b[styles.sectionActions] = section.actions, _b)),
      role: "presentation",
      onKeyUp: function (e) {
        return e.stopPropagation();
      }
    }, section.actions)
  } : {}, {
    disabled: section.disabled,
    className: styles.section,
    classNames: {
      toggler: styles.sectionToggler,
      togglerComponent: styles.sectionTogglerComponent
    }
  }, section.disabled ? {} : {
    tabIndex: 0
  }, {
    togglerComponent: /*#__PURE__*/React.createElement(AccordionSectionTitle, {
      dragRef: dragRef,
      disabled: section.disabled,
      section: section,
      selectable: selectable,
      onSelectedSectionsChange: onSelectedSectionsChange,
      selectedSections: selectedSections
    }),
    initiallyExpanded: initiallyExpanded,
    onExpansionChange: onExpansionChange,
    metadata: section.metadata
  }), /*#__PURE__*/React.createElement("div", {
    className: classnames(styles.sectionContent, (_c = {}, _c[styles.selectable] = selectable, _c))
  }, section.content));
};

export { AccordionSectionItem as default };
//# sourceMappingURL=AccordionSectionItem.js.map
