import { __spreadArray } from './../../external/tslib/tslib.es6.js';
import noop from './../../external/lodash/fp/noop.js';
import React from 'react';
import { Typography } from '@highlight-ui/typography';
import { Icon } from '@highlight-ui/icon';
import { Checkbox } from '@highlight-ui/checkbox';
import { DragIcon } from '@highlight-ui/drag-and-drop';
import styles from './AccordionSectionTitle.module.scss.js';

var AccordionSectionTitle = function AccordionSectionTitle(_a) {
  var _b = _a.disabled,
      disabled = _b === void 0 ? false : _b,
      section = _a.section,
      selectable = _a.selectable,
      _c = _a.selectedSections,
      selectedSections = _c === void 0 ? [] : _c,
      _d = _a.onSelectedSectionsChange,
      onSelectedSectionsChange = _d === void 0 ? noop : _d,
      dragRef = _a.dragRef;

  var handleOnCheck = function (e) {
    var isChecked = e.target.checked;
    var newList = isChecked ? __spreadArray(__spreadArray([], selectedSections, true), [section], false) : selectedSections.filter(function (sec) {
      return sec.key !== section.key;
    });
    onSelectedSectionsChange(newList);
  };

  var accordionSectionLabel = typeof section.title === 'string' ? /*#__PURE__*/React.createElement(Typography, {
    component: "span",
    variant: "button-1"
  }, section.title) : /*#__PURE__*/React.createElement(React.Fragment, null, section.title);
  return /*#__PURE__*/React.createElement("div", {
    className: styles.title
  }, dragRef && /*#__PURE__*/React.createElement(DragIcon, {
    dragRef: dragRef,
    disabled: disabled
  }), /*#__PURE__*/React.createElement(Icon, {
    name: "angle-down",
    size: 16,
    type: "solid",
    color: disabled ? 'icon-disabled' : 'icon-subdued',
    className: styles.titleArrow
  }), selectable &&
  /*#__PURE__*/
  // eslint-disable-next-line jsx-a11y/no-static-element-interactions
  React.createElement("div", {
    className: styles.checkBoxWrapper,
    onClick: function (e) {
      return e.stopPropagation();
    },
    onKeyUp: function (e) {
      return e.stopPropagation();
    }
  }, /*#__PURE__*/React.createElement(Checkbox, {
    checked: selectedSections.some(function (sec) {
      return sec.key === section.key;
    }),
    readOnly: true,
    onChange: handleOnCheck,
    className: styles.checkBox,
    disabled: disabled
  })), accordionSectionLabel);
};

export { AccordionSectionTitle as default };
//# sourceMappingURL=AccordionSectionTitle.js.map
