import { __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import { Icon } from '@highlight-ui/icon';
import Collapsible from '../collapsible/CollapsibleRaw.js';
import styles from './Expandable.module.scss.js';

var Expandable = function (_a) {
  var _b;

  var title = _a.title,
      content = _a.content,
      className = _a.className,
      _c = _a.disabled,
      disabled = _c === void 0 ? false : _c,
      _d = _a.isInitiallyExpanded,
      isInitiallyExpanded = _d === void 0 ? false : _d,
      onExpansionChange = _a.onExpansionChange,
      metadata = _a.metadata;
  return /*#__PURE__*/React.createElement(Collapsible, __assign({
    metadata: metadata,
    animate: false,
    disabled: disabled,
    className: classnames(styles.container, className),
    classNames: {
      togglerComponent: classnames((_b = {}, _b[styles.disabled] = disabled, _b))
    }
  }, disabled ? {} : {
    tabIndex: 0
  }, {
    togglerComponent: /*#__PURE__*/React.createElement("div", {
      className: styles.toggle
    }, /*#__PURE__*/React.createElement(Icon, {
      className: styles.icon,
      type: "solid",
      name: "angle-down"
    }), /*#__PURE__*/React.createElement(Typography, {
      className: styles.toggleTitle,
      variant: "button-1"
    }, title)),
    initiallyExpanded: isInitiallyExpanded,
    onExpansionChange: onExpansionChange
  }), /*#__PURE__*/React.createElement("div", {
    className: styles.content
  }, content));
};

export { Expandable as default };
//# sourceMappingURL=Expandable.js.map
